Name:           raceintospace
Version:        2.0.0
Release:        %mkrel 1
Summary:        A turn based space race strategy game
Group:          Games/Strategy
License:        GPLv2+
Url:            https://www.raceintospace.org/
Source0:        https://download.sourceforge.net/raceintospace/%{name}-%{version}-Source.tar.gz
Patch0:         raceintospace-mga-fix-games-dir.patch
Patch1:         raceintospace-linking.patch

ExclusiveArch:  %ix86 x86_64

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  cmake(cereal)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(protobuf)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(theora)

%description
Race Into Space is the free software version of the Liftoff! board game
by Fritz Bronner, originally developed by Strategic Visions and published
by Interplay in 1993 and 1994 as Buzz Aldrin's Race Into Space.

%prep
%autosetup -p1 -n %{name}-%{version}-Source

%build
%cmake
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_prefix}/run.sh

%files
%doc AUTHORS README.md
%license COPYING
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_metainfodir}/*.xml
#{_mandir}/man6/%%{name}.6*


%changelog
* Tue Jun 03 2025 daviddavid <daviddavid> 2.0.0-1.mga10
+ Revision: 2188007
- new version: 2.0.0
- enable now x86_64 support
- switch to cmake build system

* Tue Jun 03 2025 daviddavid <daviddavid> 1.1-9.mga10
+ Revision: 2187979
- rebuild for new libtheora 1.2.0

* Wed Dec 07 2022 daviddavid <daviddavid> 1.1-8.mga9
+ Revision: 1919031
- Mageia 9 Mass Rebuild

* Sun Jan 17 2021 daviddavid <daviddavid> 1.1-7.mga8
+ Revision: 1672192
- workaround gcc 10 build issue
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Mar 05 2016 umeabot <umeabot> 1.1-6.mga7
+ Revision: 985994
- Mageia 6 Mass Rebuild

* Wed Feb 04 2015 akien <akien> 1.1-5.mga5
+ Revision: 813468
- Build only on %%ix86, the game cannot allocate memory on 64bit
- Move binary to %%_gamesbindir, data to %%_gamesdatadir
- Add desktop file and icon

* Wed Oct 15 2014 umeabot <umeabot> 1.1-4.mga5
+ Revision: 740812
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 688597
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1-2.mga4
+ Revision: 530853
- Mageia 4 Mass Rebuild

* Mon Jul 29 2013 fwang <fwang> 1.1-1.mga4
+ Revision: 460439
- update file list
- update install macro
- new version 1.1 final

* Wed Jun 26 2013 joequant <joequant> 1.1-0.git20130131.1.mga4
+ Revision: 447285
- patch with preference directories
- fix to create directory on startup

* Tue Jun 18 2013 joequant <joequant> 1.1-0.git20130131.0.mga4
+ Revision: 444665
- add buildrequires
- set up race into space
- fix GPLv2+ typo
- clean up rpmlint errors and add git comments
- sync with newest git version
- change name of snapshot file to avoid conflicts
- update this for linux.  It now builds
- imported package raceintospace

